Index: src/sas/sascalc/data_util/err1d.py
===================================================================
--- src/sas/sascalc/data_util/err1d.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/err1d.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -8,5 +8,5 @@
 """
 from __future__ import division  # Get true division
-import numpy
+import numpy as np
 
 
@@ -59,5 +59,5 @@
 def exp(X, varX):
     """Exponentiation with error propagation"""
-    Z = numpy.exp(X)
+    Z = np.exp(X)
     varZ = varX * Z**2
     return Z, varZ
@@ -66,5 +66,5 @@
 def log(X, varX):
     """Logarithm with error propagation"""
-    Z = numpy.log(X)
+    Z = np.log(X)
     varZ = varX / X**2
     return Z, varZ
@@ -73,5 +73,5 @@
 # def pow(X,varX, Y,varY):
 #    Z = X**Y
-#    varZ = (Y**2 * varX/X**2 + varY * numpy.log(X)**2) * Z**2
+#    varZ = (Y**2 * varX/X**2 + varY * np.log(X)**2) * Z**2
 #    return Z,varZ
 #
Index: src/sas/sascalc/data_util/formatnum.py
===================================================================
--- src/sas/sascalc/data_util/formatnum.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/formatnum.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -40,5 +40,5 @@
 
 import math
-import numpy
+import numpy as np
 __all__ = ['format_uncertainty', 'format_uncertainty_pm',
            'format_uncertainty_compact']
@@ -102,13 +102,13 @@
     """
     # Handle indefinite value
-    if numpy.isinf(value):
+    if np.isinf(value):
         return "inf" if value > 0 else "-inf"
-    if numpy.isnan(value):
+    if np.isnan(value):
         return "NaN"
 
     # Handle indefinite uncertainty
-    if uncertainty is None or uncertainty <= 0 or numpy.isnan(uncertainty):
+    if uncertainty is None or uncertainty <= 0 or np.isnan(uncertainty):
         return "%g" % value
-    if numpy.isinf(uncertainty):
+    if np.isinf(uncertainty):
         if compact:
             return "%.2g(inf)" % value
@@ -279,15 +279,15 @@
 
     # non-finite values
-    assert value_str(-numpy.inf,None) == "-inf"
-    assert value_str(numpy.inf,None) == "inf"
-    assert value_str(numpy.NaN,None) == "NaN"
+    assert value_str(-np.inf,None) == "-inf"
+    assert value_str(np.inf,None) == "inf"
+    assert value_str(np.NaN,None) == "NaN"
     
     # bad or missing uncertainty
-    assert value_str(-1.23567,numpy.NaN) == "-1.23567"
-    assert value_str(-1.23567,-numpy.inf) == "-1.23567"
+    assert value_str(-1.23567,np.NaN) == "-1.23567"
+    assert value_str(-1.23567,-np.inf) == "-1.23567"
     assert value_str(-1.23567,-0.1) == "-1.23567"
     assert value_str(-1.23567,0) == "-1.23567"
     assert value_str(-1.23567,None) == "-1.23567"
-    assert value_str(-1.23567,numpy.inf) == "-1.2(inf)"
+    assert value_str(-1.23567,np.inf) == "-1.2(inf)"
 
 def test_pm():
@@ -410,15 +410,15 @@
 
     # non-finite values
-    assert value_str(-numpy.inf,None) == "-inf"
-    assert value_str(numpy.inf,None) == "inf"
-    assert value_str(numpy.NaN,None) == "NaN"
+    assert value_str(-np.inf,None) == "-inf"
+    assert value_str(np.inf,None) == "inf"
+    assert value_str(np.NaN,None) == "NaN"
     
     # bad or missing uncertainty
-    assert value_str(-1.23567,numpy.NaN) == "-1.23567"
-    assert value_str(-1.23567,-numpy.inf) == "-1.23567"
+    assert value_str(-1.23567,np.NaN) == "-1.23567"
+    assert value_str(-1.23567,-np.inf) == "-1.23567"
     assert value_str(-1.23567,-0.1) == "-1.23567"
     assert value_str(-1.23567,0) == "-1.23567"
     assert value_str(-1.23567,None) == "-1.23567"
-    assert value_str(-1.23567,numpy.inf) == "-1.2 +/- inf"
+    assert value_str(-1.23567,np.inf) == "-1.2 +/- inf"
 
 def test_default():
Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision 775e0b725267ddb2b166c5d860205f56659906ad)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -9,5 +9,4 @@
 #copyright 2008, University of Tennessee
 ######################################################################
-import numpy
 import math
 import logging
@@ -60,8 +59,8 @@
     if data.dx is not None and data.isSesans:
         #if data.dx[0] > 0.0:
-        if numpy.size(data.dx[data.dx <= 0]) == 0:
+        if np.size(data.dx[data.dx <= 0]) == 0:
             _found_sesans = True
         # if data.dx[0] <= 0.0:
-        if numpy.size(data.dx[data.dx <= 0]) > 0:
+        if np.size(data.dx[data.dx <= 0]) > 0:
             raise ValueError('one or more of your dx values are negative, please check the data file!')
 
@@ -121,5 +120,5 @@
         self.resolution = resolution
         if offset is None:
-            offset = numpy.searchsorted(self.resolution.q_calc, self.resolution.q[0])
+            offset = np.searchsorted(self.resolution.q_calc, self.resolution.q[0])
         self.offset = offset
 
@@ -137,5 +136,5 @@
         start, end = first_bin + self.offset, last_bin + self.offset
         q_calc = self.resolution.q_calc
-        iq_calc = numpy.empty_like(q_calc)
+        iq_calc = np.empty_like(q_calc)
         if start > 0:
             iq_calc[:start] = self.model.evalDistribution(q_calc[:start])
@@ -157,6 +156,6 @@
         """
         q = self.resolution.q
-        first = numpy.searchsorted(q, q_min)
-        last = numpy.searchsorted(q, q_max)
+        first = np.searchsorted(q, q_min)
+        last = np.searchsorted(q, q_max)
         return first, min(last,len(q)-1)
 
Index: src/sas/sascalc/data_util/uncertainty.py
===================================================================
--- src/sas/sascalc/data_util/uncertainty.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/uncertainty.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -17,5 +17,5 @@
 from __future__ import division
 
-import numpy
+import numpy as np
 import err1d
 from formatnum import format_uncertainty
@@ -27,5 +27,5 @@
 class Uncertainty(object):
     # Make standard deviation available
-    def _getdx(self): return numpy.sqrt(self.variance)
+    def _getdx(self): return np.sqrt(self.variance)
     def _setdx(self,dx): 
         # Direct operation
@@ -144,13 +144,13 @@
         return self
     def __abs__(self):
-        return Uncertainty(numpy.abs(self.x),self.variance)
+        return Uncertainty(np.abs(self.x),self.variance)
 
     def __str__(self):
-        #return str(self.x)+" +/- "+str(numpy.sqrt(self.variance))
-        if numpy.isscalar(self.x):
-            return format_uncertainty(self.x,numpy.sqrt(self.variance))
+        #return str(self.x)+" +/- "+str(np.sqrt(self.variance))
+        if np.isscalar(self.x):
+            return format_uncertainty(self.x,np.sqrt(self.variance))
         else:
             return [format_uncertainty(v,dv) 
-                    for v,dv in zip(self.x,numpy.sqrt(self.variance))]
+                    for v,dv in zip(self.x,np.sqrt(self.variance))]
     def __repr__(self):
         return "Uncertainty(%s,%s)"%(str(self.x),str(self.variance))
@@ -287,12 +287,12 @@
     # =============== vector operations ================
     # Slicing
-    z = Uncertainty(numpy.array([1,2,3,4,5]),numpy.array([2,1,2,3,2]))
+    z = Uncertainty(np.array([1,2,3,4,5]),np.array([2,1,2,3,2]))
     assert z[2].x == 3 and z[2].variance == 2
     assert (z[2:4].x == [3,4]).all()
     assert (z[2:4].variance == [2,3]).all()
-    z[2:4] = Uncertainty(numpy.array([8,7]),numpy.array([4,5]))
+    z[2:4] = Uncertainty(np.array([8,7]),np.array([4,5]))
     assert z[2].x == 8 and z[2].variance == 4
-    A = Uncertainty(numpy.array([a.x]*2),numpy.array([a.variance]*2))
-    B = Uncertainty(numpy.array([b.x]*2),numpy.array([b.variance]*2))
+    A = Uncertainty(np.array([a.x]*2),np.array([a.variance]*2))
+    B = Uncertainty(np.array([b.x]*2),np.array([b.variance]*2))
 
     # TODO complete tests of copy and inplace operations for vectors and slices.
